FLAM4SEPA-API FLAM4 SEPA Archive Interface (z/OS only)

Data Fields
F4sNfHeader Struct Reference
Data types

Header structure for a lookup request. More...

`#include <FL4SEPA.h>`

## Data Fields
C08 | acIdBt [8]
| ID of the build day. More...
C08 | acIdNr [5]
| ID sequence number. More...
C08 | acAnzResults [6]
| Number of results/matches. More...

## Detailed Description

Header structure for a lookup request.

This header structure consists of 2 IDs provided by the requester and the number of matches found by this function while processing the lookup request. This structure is also the prefix of each result record found for this request. The only difference is that the result record contains the sequence number of matches and at the end of the lookup function, acAnzResults contains the total number of matched records for this request.

# The data structure in Cobol

          10 NF-ID.
             15  ID-BT    PIC 9(08) VALUE ZERO.
             15  IDNR     PIC 9(05) VALUE ZERO.
          10 ANZ-RESULTS  PIC 9(06) VALUE ZERO.

## Field Documentation

## ◆ acIdBt

C08 F4sNfHeader::acIdBt[8]

ID of the build day.

## ◆ acIdNr

C08 F4sNfHeader::acIdNr[5]

ID sequence number.

## ◆ acAnzResults

C08 F4sNfHeader::acAnzResults[6]

Number of results/matches.

The documentation for this struct was generated from the following file:

- FL4SEPA.h